Debian DSA-2486-1 : bind9 - denial of service

High Nessus Plugin ID 59764

Synopsis

The remote Debian host is missing a security-related update.

Description

It was discovered that BIND, a DNS server, can crash while processing resource records containing no data bytes. Both authoritative servers and resolvers are affected.

Solution

Upgrade the bind9 packages.

For the stable distribution (squeeze), this problem has been fixed in version 1:9.7.3.dfsg-1~squeeze5.

See Also

https://packages.debian.org/source/squeeze/bind9

https://www.debian.org/security/2012/dsa-2486

Plugin Details

Severity: High

ID: 59764

File Name: debian_DSA-2486.nasl

Version: 1.11

Type: local

Agent: unix

Published: 2012/06/29

Updated: 2018/11/10

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 8.5

Temporal Score: 6.3

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:bind9, cpe:/o:debian:debian_linux:6.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2012/06/05

Reference Information

CVE: CVE-2012-1667

BID: 53772

DSA: 2486